// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.12.4
// source: log/model/stat-row.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type StatRow struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Date        int64 `protobuf:"varint,1,opt,name=date,proto3" json:"date,omitempty"`
	Total       int64 `protobuf:"varint,2,opt,name=total,proto3" json:"total,omitempty"`
	Error       int64 `protobuf:"varint,3,opt,name=error,proto3" json:"error,omitempty"`
	Uploaded    int64 `protobuf:"varint,4,opt,name=uploaded,proto3" json:"uploaded,omitempty"`
	Downloaded  int64 `protobuf:"varint,5,opt,name=downloaded,proto3" json:"downloaded,omitempty"`
	Uploading   int64 `protobuf:"varint,6,opt,name=uploading,proto3" json:"uploading,omitempty"`
	Downloading int64 `protobuf:"varint,7,opt,name=downloading,proto3" json:"downloading,omitempty"`
}

func (x *StatRow) Reset() {
	*x = StatRow{}
	if protoimpl.UnsafeEnabled {
		mi := &file_log_model_stat_row_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatRow) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatRow) ProtoMessage() {}

func (x *StatRow) ProtoReflect() protoreflect.Message {
	mi := &file_log_model_stat_row_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatRow.ProtoReflect.Descriptor instead.
func (*StatRow) Descriptor() ([]byte, []int) {
	return file_log_model_stat_row_proto_rawDescGZIP(), []int{0}
}

func (x *StatRow) GetDate() int64 {
	if x != nil {
		return x.Date
	}
	return 0
}

func (x *StatRow) GetTotal() int64 {
	if x != nil {
		return x.Total
	}
	return 0
}

func (x *StatRow) GetError() int64 {
	if x != nil {
		return x.Error
	}
	return 0
}

func (x *StatRow) GetUploaded() int64 {
	if x != nil {
		return x.Uploaded
	}
	return 0
}

func (x *StatRow) GetDownloaded() int64 {
	if x != nil {
		return x.Downloaded
	}
	return 0
}

func (x *StatRow) GetUploading() int64 {
	if x != nil {
		return x.Uploading
	}
	return 0
}

func (x *StatRow) GetDownloading() int64 {
	if x != nil {
		return x.Downloading
	}
	return 0
}

var File_log_model_stat_row_proto protoreflect.FileDescriptor

var file_log_model_stat_row_proto_rawDesc = []byte{
	0x0a, 0x18, 0x6c, 0x6f, 0x67, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x73, 0x74, 0x61, 0x74,
	0x2d, 0x72, 0x6f, 0x77, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x03, 0x6c, 0x6f, 0x67, 0x22,
	0xc5, 0x01, 0x0a, 0x07, 0x53, 0x74, 0x61, 0x74, 0x52, 0x6f, 0x77, 0x12, 0x12, 0x0a, 0x04, 0x64,
	0x61, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x04, 0x64, 0x61, 0x74, 0x65, 0x12,
	0x14, 0x0a, 0x05, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05,
	0x74, 0x6f, 0x74, 0x61, 0x6c, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x03, 0x52, 0x05, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x12, 0x1a, 0x0a, 0x08, 0x75,
	0x70, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x75,
	0x70, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x64, 0x6f, 0x77, 0x6e, 0x6c,
	0x6f, 0x61, 0x64, 0x65, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x64, 0x6f, 0x77,
	0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x65, 0x64, 0x12, 0x1c, 0x0a, 0x09, 0x75, 0x70, 0x6c, 0x6f, 0x61,
	0x64, 0x69, 0x6e, 0x67, 0x18, 0x06, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x75, 0x70, 0x6c, 0x6f,
	0x61, 0x64, 0x69, 0x6e, 0x67, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61,
	0x64, 0x69, 0x6e, 0x67, 0x18, 0x07, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0b, 0x64, 0x6f, 0x77, 0x6e,
	0x6c, 0x6f, 0x61, 0x64, 0x69, 0x6e, 0x67, 0x42, 0x5b, 0x0a, 0x07, 0x63, 0x6f, 0x6d, 0x2e, 0x6c,
	0x6f, 0x67, 0x42, 0x07, 0x53, 0x74, 0x61, 0x74, 0x52, 0x6f, 0x77, 0x50, 0x01, 0x5a, 0x33, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x68, 0x61, 0x64, 0x6f, 0x77,
	0x79, 0x2f, 0x73, 0x65, 0x69, 0x2f, 0x63, 0x6f, 0x72, 0x65, 0x2f, 0x67, 0x6f, 0x2d, 0x63, 0x6f,
	0x72, 0x65, 0x2d, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x6c, 0x6f, 0x67, 0x2f, 0x6d, 0x6f, 0x64,
	0x65, 0x6c, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x03, 0x6c, 0x6f, 0x67, 0xca, 0x02,
	0x03, 0x6c, 0x6f, 0x67, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_log_model_stat_row_proto_rawDescOnce sync.Once
	file_log_model_stat_row_proto_rawDescData = file_log_model_stat_row_proto_rawDesc
)

func file_log_model_stat_row_proto_rawDescGZIP() []byte {
	file_log_model_stat_row_proto_rawDescOnce.Do(func() {
		file_log_model_stat_row_proto_rawDescData = protoimpl.X.CompressGZIP(file_log_model_stat_row_proto_rawDescData)
	})
	return file_log_model_stat_row_proto_rawDescData
}

var file_log_model_stat_row_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_log_model_stat_row_proto_goTypes = []interface{}{
	(*StatRow)(nil), // 0: log.StatRow
}
var file_log_model_stat_row_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_log_model_stat_row_proto_init() }
func file_log_model_stat_row_proto_init() {
	if File_log_model_stat_row_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_log_model_stat_row_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatRow); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_log_model_stat_row_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_log_model_stat_row_proto_goTypes,
		DependencyIndexes: file_log_model_stat_row_proto_depIdxs,
		MessageInfos:      file_log_model_stat_row_proto_msgTypes,
	}.Build()
	File_log_model_stat_row_proto = out.File
	file_log_model_stat_row_proto_rawDesc = nil
	file_log_model_stat_row_proto_goTypes = nil
	file_log_model_stat_row_proto_depIdxs = nil
}
